TTV - CONCURRENT EUCLID PROGRAMMING ENVIRONMENT  Copyright 1984 James R. Cordy


LINE MODE
     
     Line mode is entered from immediate mode by typing the  line
     mode header character ':'  when  the  cursor  is  positioned
     at the far left of the terminal screen.   When line mode  is
     active,  the  cursor is positioned following a ':' character
     at  the  left  of the terminal screen below the text window.
     Line mode commands begin with the character ':' and  consist
     of  an  entire line ended with a carriage return (CR).  Line
     mode commands may optionally begin with a line specification
     which  specifies  the line or range of lines to be affected.
     If no line specification is given, the command affects  only
     the current or marked line(s).

     
Line Mode Movement Commands
     
     :N              move to line N
     :N<             (PAGE UP) move up one half screen from line N
     :N>             (PAGE DOWN) move down one half screen from line N
     :N[             (BRACKET UP) redraw screen with line N at top
     :N]             (BRACKET DOWN) redraw screen with line N at bottom
     :N=             print line number of line N


Line Mode Searching Commands
     
     :N/TEXT         (SEARCH FORWARD) move to next line following line N
                             containing TEXT
     :N?TEXT         (SEARCH BACK) move to previous line preceding line N
                             containing TEXT
     :N{TEXT         (SEARCH AND BRACKET UP) move to next line following line N
                             containing TEXT and redraw screen with it at top
     :N}TEXT         (SEARCH AND BRACKET DOWN) move to next line following line
                             N containing TEXT and redraw with it at bottom
     

Line Mode Editing Commands
     
     :Nc             (CHANGE) edit lines on the screen in place starting
                             at line N  (see "Edit-in-Place Mode")
     :Na             (APPEND) append new lines of text following line N
     :Ni             (INSERT) insert new lines of text preceding line N
     :N,Md           (DELETE) delete and save lines N through M
     :N,Mj           (JOIN) join together lines N through M
     :N,Ms/PATT/REPL (SUBSTITUTE) substitute REPL for PATT in lines N through M
     :N,Mg/GPATT/s/SPATT/REPL/ 
                     (GLOBAL) substitute REPL for SPATT in lines N through M
                             containing GPATT
     :N,Mt           (TAKE) save a copy of lines N through M
     :Nu             (UNSAVE) insert saved line(s) preceding line N
     

Line Mode Concurrent Euclid Commands
     
     :C COMPILER     (COMPILE) compile CE program using COMPILER
                             (all subsequent compiles will use COMPILER)
     :P PARAGRAPHER  (PARAGRAPH) paragraph CE program using PARAGRAPHER
                             (all subsequent paragraphs will use PARAGRAPHER)
     :R ARGUMENTS < INFILE > OUTFILE
                     (RUN) run executable version of CE program using
                             specified program arguments and input/output
                             redirection
     

Line Mode File Handling Commands
     
     :e FILE         (EDIT) begin editing FILE
     :Nr FILE        (READ) append contents of FILE following line N
     :N,Mw FILE      (WRITE) write lines N through M to FILE
     :f FILE         (FILE) print or set the current file name
     

Line Mode Miscellaneous Commands
     
     :h              (HELP) print command summary
     :he             (HELP EDIT-IN-PLACE) print help on edit-in-place mode
     :hi             (HELP IMMEDIATE) print help on immediate mode
     :hl             (HELP LINE) print help on line mode
     :q              (QUIT) exit the editor
